#!/bin/sh

TEMPLATE_HOME=../../../gispatcher/gispatcher-integration/
export INSTALL_SOURCE_DIR=../

set -x

# This saves us from explicitely define the variable expansions with sed
#   First the gathering of variables to be looked for
#echo $TEMPLATE_HOME
REPLACE_VARS=`cat "$TEMPLATE_HOME"*.include db.include | egrep -v ^#   | awk '{print$1}' | sort | uniq | xargs echo`
#echo $REPLACE_VARS
#   Building an extended regular expression to be used by egrep later
REPLACE_RE=`echo $REPLACE_VARS | sed 's/ /|/g'`
#   Identifying the files to be used by the template definitions (excluding certain directories)
REPLACE_FILES=`egrep -I "@("$REPLACE_RE")@" -r $INSTALL_SOURCE_DIR | egrep -v "\/(\.svn|rpm|debian)\/" | sed 's/:.*$//' | xargs echo | sort | uniq`

#echo "Files to be rewritten: $REPLACE_FILES"

for t in $REPLACE_FILES
do
	CLEAN_FILENAME=`echo $t | sed -e "s|$INSTALL_SOURCE_DIR|$TC_NAME/|;"`
	sed -f replace.sed < $t > $RPM_BUILD_ROOT$TC_TARGET/webapps/$CLEAN_FILENAME ; 
done
